Subject: Re: [PATCHv4] net: Add batman-adv meshing protocol

From: Marek Lindner <[email-masked]>
Date: Wed, 8 Sep 2010 21:12:14 +0200

On Wednesday 08 September 2010 20:22:42 Jesse Gross wrote:
> Potentially one way to do this is to build on top of Open vSwitch.  It
> contains a pretty generic flow-based kernel module for forwarding data
> packets and making simple modifications.  Control packets can be sent
> to userspace to handle the routing logic, while data packets remain in
> the kernel for performance.  This would dramatically reduce the amount
> of code that needs to be in the kernel and may even help performance
> by simplifying the fast path.

Thanks for your input.

I had a quick look at the website to get an idea but I had to notice that 
there is quite a collection of daemons, kernel modules and apps. As you seem 
involved in this project, could you point us to the collection of tools that 
you think we would need to achieve the following:

* sending protocol traffic
* transmitting the routing logic
* encapsulation of the various packet types (see http://www.open-
mesh.org/browser/trunk/batman-adv/packet.h to get an idea)
* directly influence the traffic flow, i.e., ARQ for broadcasts, interface 
alternating, bonding, forward error correction, etc
* layer 2 fragmentation

Cheers,
Marek